org.eclipse.emf.cdo.server

## Class CDOServerImporter

- java.lang.Object
- - org.eclipse.emf.cdo.server.CDOServerImporter

- Direct Known Subclasses:
    CDOServerImporter.Binary, CDOServerImporter.XML

      public abstract class CDOServerImporter
      extends java.lang.Object

  Imports the complete contents of a `repository` from the output created by a `exporter` into a new repository.

  Subtypes specify the actual exchange format.

  Since:
    4.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDOServerImporter.Binary` An `importer` that reads and interprets XML output created by an `XML exporter`.
    `static interface` | `CDOServerImporter.Handler` Persists the data that has been read by a `importer` into a new `repository`.
    `static interface` | `CDOServerImporter.Handler2` Persists the data that has been read by a `importer` into a new `repository`.
    `static class` | `CDOServerImporter.XML` An `importer` that reads and interprets XML output created by an `XML exporter`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOServerImporter(IRepository repository)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBranchPath()`
    `protected InternalRepository` | `getRepository()`
    `CDOServerExporter.Statistics` | `getStatistics()`
    `long` | `getTimeStamp()`
    `protected abstract void` | `importAll(java.io.InputStream in, CDOServerImporter.Handler handler)`
    `void` | `importRepository(java.io.InputStream in)`
    `protected void` | `setBranchPath(java.lang.String branchPath)`
    `protected void` | `setTimeStamp(long timeStamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOServerImporter

          public CDOServerImporter(IRepository repository)

  - ### Method Detail

    - #### getBranchPath

          public final java.lang.String getBranchPath()

      Since:
        4.8

    - #### setBranchPath

          protected final void setBranchPath(java.lang.String branchPath)

      Since:
        4.8

    - #### getTimeStamp

          public final long getTimeStamp()

      Since:
        4.8

    - #### setTimeStamp

          protected final void setTimeStamp(long timeStamp)

      Since:
        4.8

    - #### getRepository

          protected final InternalRepository getRepository()

    - #### getStatistics

          public CDOServerExporter.Statistics getStatistics()

      Since:
        4.8

    - #### importRepository

          public void importRepository(java.io.InputStream in)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### importAll

          protected abstract void importAll(java.io.InputStream in,
                                            CDOServerImporter.Handler handler)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html